---
version: "3.1"

services:
  rabbitmq:
    image: rabbitmq:3-management-alpine
    container_name: rabbitmq
    restart: always
    ports:
      - "5672:5672"
      - "15672:15672"
    volumes:
      - "/home/{{ app_user }}/rabbitmq/log:/data/log:rw"
      - "/home/{{ app_user }}/rabbitmq/data:/data/mnesia:rw"
    environment:
      RABBITMQ_DEFAULT_VHOST: {{ celery_vhost }}
      RABBITMQ_DEFAULT_USER: {{ celery_user }}
      RABBITMQ_DEFAULT_PASS: {{ celery_password }}
